Package org.eclipse.net4j.util.ui.dnd

## Class DNDDragListener<TYPE>

- java.lang.Object
- - org.eclipse.swt.dnd.DragSourceAdapter
  - - org.eclipse.net4j.util.ui.dnd.DNDDragListener<TYPE>

- All Implemented Interfaces:
    `java.util.EventListener`, `DragSourceListener`, `org.eclipse.swt.internal.SWTEventListener`

      public abstract class DNDDragListener<TYPE>
      extends DragSourceAdapter

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DNDDragListener​(StructuredViewer viewer)` |
    `protected` | `DNDDragListener​(Transfer[] transfers, StructuredViewer viewer)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dragSetData​(DragSourceEvent event)` |
    `void` | `dragStart​(DragSourceEvent event)` |
    `protected abstract TYPE` | `getObject​(IStructuredSelection selection)` |
    `Transfer[]` | `getTransfers()` |
    `StructuredViewer` | `getViewer()` |
    `void` | `setTransfers​(Transfer[] transfers)` |

    - ### Methods inherited from class org.eclipse.swt.dnd.DragSourceAdapter

      `dragFinished`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNDDragListener

          protected DNDDragListener​(Transfer[] transfers,
                                    StructuredViewer viewer)

      Since:
        3.0

    - #### DNDDragListener

          protected DNDDragListener​(StructuredViewer viewer)

      Since:
        3.3

  - ### Method Detail

    - #### getTransfers

          public Transfer[] getTransfers()

      Since:
        3.0

    - #### setTransfers

          public void setTransfers​(Transfer[] transfers)

      Since:
        3.3

    - #### getViewer

          public StructuredViewer getViewer()

    - #### dragSetData

          public void dragSetData​(DragSourceEvent event)

      Specified by:
        `dragSetData` in interface `DragSourceListener`
      Overrides:
        `dragSetData` in class `DragSourceAdapter`

    - #### dragStart

          public void dragStart​(DragSourceEvent event)

      Specified by:
        `dragStart` in interface `DragSourceListener`
      Overrides:
        `dragStart` in class `DragSourceAdapter`

    - #### getObject

          protected abstract TYPE getObject​(IStructuredSelection selection)